Announcements

Help us improve the Power & Sensing Selection Guide. Share feedback

Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

cross mob
KyTr_1955226
Level 6
Level 6
250 sign-ins 10 likes given 50 solutions authored

Hi there,

I have a quick question about associating cywrk workspace files with the latest installed version of PSoC Creator.

For example, my latest installed version of PSoC Creator is 4.3, but opening a cywrk file from explorer always opens Creator v4.2.  This is rather annoying, since for projects that were created in v4.3, component versions (cyboot, for example) are often unrecognized and will not build in v4.2.

When I manually perform an "open with" in Windows, and select creator 4.3 (C:\Program Files (x86)\Cypress\PSoC Creator\4.3\PSoC Creator\bin\psoc_creator.exe) the project still just opens in v4.2.  The only way I have found to actually open a project in 4.3 is to open PSoC Creator v4.3 and load the project from the IDE.  Otherwise, a *.cywrk file will seemingly ALWAYS open in v4.2 by default (or whatever the earliest version present on the system is).

Does anyone know if there is a way to actually change the association of a workspace file to the latest version of PSoC Creator on the system?  Or maybe a way to have the workspace always open in the version it was created in (if possible)?

0 Likes
1 Solution

Did you try uninstalling and installing PSoC Creator 4.3 again? That should add the required registry keys.

Let me know your observations.


Regards,

Dheeraj

View solution in original post

0 Likes
5 Replies
DheerajK_81
Moderator
Moderator
Moderator
First comment on KBA First comment on blog 5 questions asked

I have observed this situation when you install an older version of the software on top of the latest version. I think a simple thing you could do would be to reinstall the PSoC Creator 4.3 version and see if it solves the problem.

If the issue persists, we might need to do some registry editing. Looking forward to your reply!

Regards,
Dheeraj

0 Likes

Instead of re-installing PSoC Creator, you can use the Cypress Update Manager and "repair" the version you want to make it the default.

0 Likes

I don't think this is exactly what is happening for me, as I installed v4.3 over v4.2 and not the other way around.

I did try "repairing" v4.3 using the update manager.

No luck, all workspaces still open in v4.2 by default.

0 Likes

Did you try uninstalling and installing PSoC Creator 4.3 again? That should add the required registry keys.

Let me know your observations.


Regards,

Dheeraj

0 Likes
RavikiranH_01
Employee
Employee
10 sign-ins 25 replies posted 10 replies posted

In my case, I had to uninstall older version of the PSoC Creator (4.2) make 4.3 default. Otherwise 4.2 always took the priority.
You may want to do that, if you don't have any 4.2 or older version specific dependencies.